# `read_concern` – Tools for working with read concern.

Tools for working with read concerns.

See also

This module is compatible with both the synchronous and asynchronous PyMongo APIs.

class pymongo.read_concern.ReadConcern
  Parameters:

    level (Optional[str]) – (string) The read concern level specifies the level of isolation for read operations. For example, a read operation using a read concern level of `majority` will only return data that has been written to a majority of nodes. If the level is left unspecified, the server default will be used.

  Added in version 3.2.

  property document: dict[str, Any]

    The document representation of this read concern.

    Note

    `ReadConcern` is immutable. Mutating the value of `document` does not mutate this `ReadConcern`.

  property level: str | None

    The read concern level.

  property ok_for_legacy: bool

    Return `True` if this read concern is compatible with old wire protocol versions.